package com.mortals.xhx.module.feedback.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.feedback.model.vo.FeedbackFileVo;
import lombok.Data;
/**
* 绩效反馈附件实体对象
*
* @author zxfei
* @date 2023-07-18
*/
@Data
public class FeedbackFileEntity extends FeedbackFileVo {
    private static final long serialVersionUID = 1L;

    /**
    * 标题
    */
    private String title;
    /**
    * 排序
    */
    private Integer sort;
    /**
    * 置顶 (0.否,1.是)
    */
    private Integer top;
    /**
    * 图片名称
    */
    private String feedbackFileName;
    /**
    * 图片路径
    */
    private String feedbackFilePath;
    /**
    * 备注说明
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FeedbackFileEntity) {
            FeedbackFileEntity tmp = (FeedbackFileEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.title = "";

            this.sort = 0;

            this.top = 0;

            this.feedbackFileName = "";

            this.feedbackFilePath = "";

            this.remark = "";
    }
}